Bug 45173 - [PATCH] mysql323-server ignores WITH_XCHARSET without WITH_CHARSET
Summary: [PATCH] mysql323-server ignores WITH_XCHARSET without WITH_CHARSET
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: dirk
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2002-11-09 22:40 UTC by ITO Tsuyoshi
Modified: 2002-11-17 16:01 UTC (History)
0 users

See Also:


Attachments
file.diff (629 bytes, patch)
2002-11-09 22:40 UTC, ITO Tsuyoshi
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description ITO Tsuyoshi 2002-11-09 22:40:01 UTC
	The `configure' script of MySQL accepts --with-charset and
	--with-extra-charset options.  Each of these has a default
	value (--with-charset=latin1 and --with-extra-charset=none).
	We can specify both, either one, or none of these options.

	With databases/mysql323-server port, we can specify the values
	for these options with WITH_CHARSET and WITH_XCHARSET
	variables on `make' command line.  However, the port ignores
	WITH_XCHARSET if we specify WITH_XCHARSET but not WITH_CHARSET.

Fix: Here is a patch to solve this problem.
How-To-Repeat: 	After `make WITH_XCHARSET=complex install', examine config.log
	or try `safe_mysqld --user=mysql --default-character-set=ujis'.
Comment 1 Ying-Chieh Liao freebsd_committer 2002-11-11 08:25:20 UTC
Responsible Changed
From-To: freebsd-ports->dirk

over to maintainer
Comment 2 dirk freebsd_committer 2002-11-17 16:01:19 UTC
State Changed
From-To: open->closed

Committed. Thanks!